//_________________________________________________________________
//
//  BB32_Test.pde
//
//  C.A.Roper - 2013/07/17
//
//  Hardware confidance test Software for the CHIPKit-BB-32
//  CHIPKit compatable Breadboard circuit based on PIC32MX250F128B.
//
//  Tests Digital Output to LED's
//  Teats Digital Input from Prog Button
//  Tests Analog Input from LDR
//  Tests Serial Output Via USB
//  Tests Serial Input from USB
//_________________________________________________________________
//
int Last;
int State;
int Character;

void setup() 
{
  Serial.begin(19200);
  pinMode(17, INPUT);
  pinMode(13, OUTPUT);
  pinMode(14, OUTPUT);
}

void loop() 
{
  if(Serial.available())
  {
     Character = Serial.read();
     if(Character == '1') State = 1;
     else if(Character == '0') State = 0;
     else if(Character == 't' || Character == 'T') State = !State;
  }
  
  if(digitalRead(17))
  {
    State = !State;
  }
  
  if(State != Last)
  {
    digitalWrite(13, !State);
    digitalWrite(14, State);
    Serial.println(analogRead(A0));
  } 
  Last = State;
  delay(250);
}
